/**
 * Developed to exercise the Mandelbrot class in support of the Fractal Explorer
 * Project
 * 
 * @author C. D'Arcy
 * 
 */
public class MandelbrotTest {

	public static void main(String[] args) {

		// Simulate the size of the JPanel
		int dimension = 600;
		// Provide the details of the square region of the plane
		// First, the coordinates of the center...
		double xCenter = -0.75;
		double yCenter = 0.0;
		// Now define the half-width (and half-height)
		double delta = 1.5;
		// Define the 'Escape time' for the orbit...
		int bailout = 256;

		// Instantiate the Mandelbrot object
		Mandelbrot mandelbrot = new Mandelbrot(xCenter, yCenter, delta,
				bailout, dimension);

		// Provide sample JPanel coordinates returned by a mouse click
		// that must be mapped to a corresponding imaginary number
		// within the active (virtual) region of the Complex Plane
		mandelbrot.setC(450, 300);

		// get the number of iterations (points in the orbit)
		// required to 'escape' the attraction of the Mandelbrot Set (M-Set)
		mandelbrot.getEscapeTime();

		// Did the point escape the M-Set (iterations<maxIterations) or
		// did it remain 'trapped' (iteration == maxIterations)
		if (mandelbrot.isInSet())
			System.out.printf("%6s is in the Mandelbrot Set\n",mandelbrot.getC());
		else
			System.out.printf("%6s is NOT in the Mandelbrot Set\n",mandelbrot.getC());

	}
}
